> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite user to organisation



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/org/organisation/invite
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/organisation/invite:
    post:
      tags:
        - Organisation API
      summary: Invite user to organisation
      operationId: invite_user_endpoint_api_v1_org_organisation_invite_post
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InviteUserToOrganisationRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InviteUserToOrganisationResponse'
          description: User invited successfully
        '400':
          description: Invite already exists
        '401':
          description: Unauthorized
        '403':
          description: Forbidden - not admin or inviter not recognized
        '404':
          description: User not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
        '500':
          description: Server error
components:
  schemas:
    InviteUserToOrganisationRequest:
      properties:
        invitee_email:
          format: email
          title: Invitee Email
          type: string
        organisation_id:
          format: uuid4
          title: Organisation Id
          type: string
        role:
          enum:
            - member
            - admin
            - read-only
          title: Role
          type: string
      required:
        - organisation_id
        - invitee_email
        - role
      title: InviteUserToOrganisationRequest
      type: object
    InviteUserToOrganisationResponse:
      properties:
        message:
          title: Message
          type: string
        success:
          title: Success
          type: boolean
      required:
        - success
        - message
      title: InviteUserToOrganisationResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````